/*
 * frequencies.h: wirbelscan - A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */


#ifndef __WIRBELSCAN_FREQUENCIES_H_
#define __WIRBELSCAN_FREQUENCIES_H_


typedef struct cFreqlist {
    const char       * channelname;
    int                channelfreq;
} _chanlist;

typedef struct cFreqlists {
    const char       * freqlist_name;
    struct cFreqlist * freqlist;
    int                freqlist_count;
} _chanlists;


typedef struct cCountry {
    int                freqlist_id;
    int                videonorm;
} _country;


#define FREQ_COUNT(x) (sizeof(x)/sizeof(struct cFreqlist))


extern const struct cFreqlists   freqlists[];
extern const struct cCountry     CountryProperties[];
extern const struct cFreqlists   freqlistsDVBT[];
extern const struct cCountry     CountryPropertiesDVBT[];
extern const struct cFreqlists   freqlistsDVBC[];
extern const struct cCountry     CountryPropertiesDVBC[];
extern const char             *  CountryNames[];

#endif
